@echo off
REM //////////////////////////////////////////////////////////////////////////
REM Name:		test-interface.bat
REM Author:		M Shaw
REM Purpose:		Test gotoxy.exe and input.exe
REM Unicode:		NO. (ANSI only)
REM
REM Versions:
REM 1.00 06/Apr/2016	First version
REM //////////////////////////////////////////////////////////////////////////
REM Prerequisites:
REM	ask.exe		v2.09+ (supporting /message arg)
REM	box.exe		v1.00+
REM 	gotoxy.exe	v1.00+
REM 	input.exe	v1.00+
REM //////////////////////////////////////////////////////////////////////////
REM Notes:
REM
REM Todo:
REM DONE ADD /PW password char input (combine with /CLEAR for security)
REM DONE ADD /CLEAR to input.exe to clear the reg env variable after /ECHO
REM 	Verified that the registry value is set to ""
REM //////////////////////////////////////////////////////////////////////////

SET NAME=
SET AGE=
SET ADDRESS=

cls
ask.exe " * Demo for input.exe and gotoxy.exe * " /f:white /b:magenta /message

box.exe 4 4 74 7 /b:black /f:blue 

gotoxy.exe 6 6
echo Enter your name:    ________________________________________
gotoxy.exe 6 7
echo Enter your age:     ___
gotoxy.exe 6 8
echo Enter your address: __________________________________________________

gotoxy.exe 6 6
input.exe "Enter your name:    " /f:white /b:red /env /l:40
FOR /F "tokens=*" %%i in ('input.exe /echo') DO SET NAME=%%i
REM IF /I %ERRORLEVEL% equ 0 goto end

gotoxy.exe 6 7
input.exe "Enter your age:     " /f:white /b:blue /env /l:3 /pw
REM IF /I %ERRORLEVEL% equ 0 goto end
FOR /F "tokens=*" %%i in ('input.exe /echo') DO SET AGE=%%i
REM IF /I %ERRORLEVEL% equ 0 goto end

gotoxy.exe 6 8
input.exe "Enter your address: " /f:black /b:yellow /env /l:50
FOR /F "tokens=*" %%i in ('input.exe /echo') DO SET ADDRESS=%%i


REM Display our results ...
box.exe 4 11 74 9 /b:black /f:yellow 

gotoxy.exe 6 13
ECHO Your name is:       %NAME%
gotoxy.exe 6 14
ECHO Your age is:        %AGE%
gotoxy.exe 6 15
ECHO Your address is:    %ADDRESS%

REM Test clearing the value from the registry HKCU\Environment ...
gotoxy.exe 6 16
REM Grab INPUT_STRING ENV var from the registry and clear it
FOR /F "tokens=*" %%i in ('input.exe /echo /clear') DO SET INPUT_STRING=%%i
ECHO INPUT_STRING is:   '%INPUT_STRING%'

REM Clear var as local var will be persistent
SET INPUT_STRING=

REM Test that we can now retrieve nothing from the registry ...
FOR /F "tokens=*" %%i in ('input.exe /echo') DO SET INPUT_STRING=%%i
gotoxy.exe 6 17
ECHO INPUT_STRING is:   '%INPUT_STRING%'


:end
gotoxy.exe 1 20

REM //////////////////////////////////////////////////////////////////////////